Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class MinimumFilterOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.NeighbourhoodOp
                  |
                  +--com.pearsoneduc.ip.op.RankFilterOp
                        |
                        +--com.pearsoneduc.ip.op.MinimumFilterOp

public class MinimumFilterOp
extends RankFilterOp

Performs minimum filtering of a BufferedImage.

Note: this can also be done using RankFilterOp, but the algorithm used here is faster.

Version:
  1.0 [1999/07/23]
Author:
  Nick Efford

Fields inherited from class com.pearsoneduc.ip.op.RankFilterOp
`neighbourhood, rank`

Fields inherited from class com.pearsoneduc.ip.op.NeighbourhoodOp
`borderStrategy, CIRCULAR_INDEXING, COPY_BORDER_PIXELS, height, NO_BORDER_OP, REFLECTED_INDEXING, size, width`

Constructor Summary
`MinimumFilterOp()` Constructs a MinimumFilterOp for a 3x3 neighbourhood.
`MinimumFilterOp(int w, int h)` Constructs a MinimumFilterOp with the given neighbourhood dimensions.
`MinimumFilterOp(int w, int h, int strategy)` Constructs a MinimumFilterOp with the specified neighbourhood dimensions and border processing strategy.

Method Summary
`java.awt.image.BufferedImage` | `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dest)` Performs minimum filtering of an image.

Methods inherited from class com.pearsoneduc.ip.op.RankFilterOp
`getRank`

Methods inherited from class com.pearsoneduc.ip.op.NeighbourhoodOp
`circIndex, copyBorders, getBorderStrategy, getHeight, getNumPixels, getWidth, refIndex`

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`checkImage, createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimumFilterOp

    public MinimumFilterOp()

  Constructs a MinimumFilterOp for a 3x3 neighbourhood. No special processing will be done at the image borders.

### MinimumFilterOp

    public MinimumFilterOp(int w,
                           int h)

  Constructs a MinimumFilterOp with the given neighbourhood dimensions. No special processing will be done at the image borders.
  Parameters:
    `w` - width of neighbourhood
    `h` - height of neighbourhood

### MinimumFilterOp

    public MinimumFilterOp(int w,
                           int h,
                           int strategy)

  Constructs a MinimumFilterOp with the specified neighbourhood dimensions and border processing strategy.
  Parameters:
    `w` - width of neighbourhood
    `h` - height of neighbourhood
    `strategy` - border processing strategy

Method Detail

### filter

    public java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                               java.awt.image.BufferedImage dest)

  Performs minimum filtering of an image.
  Parameters:
    `src` - source image
    `dest` - destination image, or null
  Returns:
    processed image.
  Overrides:
    filter in class RankFilterOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD